Bug 196485 - pwlib should own some directories.
pwlib should own some directories.
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: pwlib (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Monty
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-06-23 13:24 EDT by Mamoru TASAKA
Modified: 2013-10-20 18:42 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-14 14:25:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mamoru TASAKA 2006-06-23 13:24:24 EDT
Description of problem:
pwlib don't own some directories which should be owned.
As a result, some strange behavior appears.

Version-Release number of selected component (if applicable):
pwlib-1.10.1-2

How reproducible:
100%

Steps to Reproduce:
1. simply install pwlib-1.10.1-2
2.
3.
  
Actual results:
[tasaka1@localhost ~]$ rpm -V pwlib
missing     /usr/lib/pwlib/devices/sound/alsa_pwplugin.so
missing     /usr/lib/pwlib/devices/videoinput/avc_pwplugin.so
missing     /usr/lib/pwlib/devices/videoinput/v4l2_pwplugin.so
missing     /usr/lib/pwlib/devices/videoinput/v4l_pwplugin.so
[tasaka1@localhost ~]$ rpm -qf /usr/lib/pwlib/devices/sound/
/usr/lib/pwlib/devices/videoinput/
error: file /usr/lib/pwlib/devices/sound: Permission denied
error: file /usr/lib/pwlib/devices/videoinput: Permission denied
[tasaka1@localhost ~]$ su -
Password:
[root@localhost ~]# LANG=C
[root@localhost ~]# rpm -V pwlib
[root@localhost ~]# rpm -qf /usr/lib/pwlib/devices/sound/
/usr/lib/pwlib/devices/videoinput/
file /usr/lib/pwlib/devices/sound is not owned by any package
file /usr/lib/pwlib/devices/videoinput is not owned by any package
[root@localhost ~]# rpm -q pwlib
pwlib-1.10.1-2


Expected results:
The above strangeness should be fixed.

Additional info:
Comment 1 Mamoru TASAKA 2006-08-14 13:32:49 EDT
This problem persists on pwlib-1.10.1-5 and rawhide 2006-08-14.

[root@localhost ~]# rpm -q pwlib
pwlib-1.10.1-5
[root@localhost ~]# rpm -ql pwlib
/usr/lib/libpt_linux_x86_r.so.1
/usr/lib/libpt_linux_x86_r.so.1.10
/usr/lib/libpt_linux_x86_r.so.1.10.1
/usr/lib/pwlib/devices/sound/alsa_pwplugin.so
/usr/lib/pwlib/devices/videoinput/avc_pwplugin.so
/usr/lib/pwlib/devices/videoinput/v4l2_pwplugin.so
/usr/lib/pwlib/devices/videoinput/v4l_pwplugin.so
/usr/share/doc/pwlib-1.10.1
/usr/share/doc/pwlib-1.10.1/History.txt
/usr/share/doc/pwlib-1.10.1/ReadMe.txt
/usr/share/doc/pwlib-1.10.1/mpl-1.0.htm
[root@localhost ~]# rpm -qf /usr/lib/pwlib /usr/lib/pwlib/devices
/usr/lib/pwlib/devices/{sound,videoinput}
file /usr/lib/pwlib is not owned by any package
file /usr/lib/pwlib/devices is not owned by any package
file /usr/lib/pwlib/devices/sound is not owned by any package
file /usr/lib/pwlib/devices/videoinput is not owned by any package
Comment 2 Matthias Clasen 2006-08-14 14:25:07 EDT
Fixed in 1.10.1-6.fc6

Note You need to log in before you can comment on or make changes to this bug.